=== debian/changelog ===
gdb (9.1-0ubuntu1) focal; urgency=medium

  * New upstream version.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 11 Feb 2020 08:11:47 +0100

gdb (9.0.90.20200117-0ubuntu1) focal; urgency=medium

  * New upstream snapshot, taken from the release branch.
  * Fix build with Python 3.8.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 25 Jan 2020 06:32:27 +0100

gdb (9.0.90.20200105-0ubuntu1) focal; urgency=medium

  * New upstream snapshot, taken from the release branch.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 05 Jan 2020 12:04:27 +0100

gdb (9.0.90.20191216-0ubuntu1) focal; urgency=medium

  * New upstream snapshot, taken from the release branch.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 16 Dec 2019 16:09:22 +0100

gdb (9.0.50.20191119-0ubuntu1) focal; urgency=medium

  * New upstream snapshot.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 19 Nov 2019 06:22:40 +0100

gdb (9.0.50.20191110-0ubuntu1) focal; urgency=medium

  * New upstream snapshot.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 10 Nov 2019 11:33:12 +0100

gdb (9.0.50.20191019-0ubuntu1) focal; urgency=medium

  * New upstream snapshot.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 19 Oct 2019 16:50:37 +0200

gdb (8.3.50.20190910-0ubuntu1) eoan; urgency=medium

  * New upstream snapshot.
  * Don't run the tests on armhf, timing out on the buildd.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 10 Sep 2019 11:07:42 +0200

gdb (8.3.50.20190907-0ubuntu1) eoan; urgency=medium

  * New upstream snapshot.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 07 Sep 2019 09:55:03 +0200

gdb (8.3.50.20190828-0ubuntu1) eoan; urgency=medium

  * New upstream snapshot.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 28 Aug 2019 20:15:20 +0200
