## gdb 9.2

=== debian/changelog ===
gdb (9.2-1+hurd.1) unreleased; urgency=medium

  * Apply hurd fixes.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 29 May 2020 23:12:02 +0000

gdb (9.2-1) unstable; urgency=medium

  * New upstream release.

 -- Héctor Orón Martínez <zumbi@debian.org>  Wed, 27 May 2020 17:39:34 +0200

gdb (9.1-3) unstable; urgency=medium

  * debian/patches/fix-symbol-reread-hang.patch: new patch

 -- Héctor Orón Martínez <zumbi@debian.org>  Fri, 03 Apr 2020 19:28:25 +0200

gdb (9.1-2) unstable; urgency=medium

  [ Christian Biesinger ]
  * Load gdbinit files from /etc/gdb/gdbinit.d/*. Files need to have a
    .gdb/.py extension.
  * Fix W-compiler-flags-hidden.
    Set V=1 when building so the full compile commandline is shown.
    Fixes W-compiler-flags-hidden.html from
    https://qa.debian.org/bls/packages/g/gdb.html

  [ Sergio Durigan Junior ]
  * Enable libxxhash during build.
  * Create directory /etc/gdb/gdbinit.d.
    With the new "--with-system-gdbinit-dir" option, we also need to make
    sure the new directory exists.
  * Backport patch to fix printf convenience var regression.
    This was a regression upstream that caused failures on
    libapp-stacktrace-perl. (Closes: #936055)
  * Adjust python-config.patch to use the new "--embed" from Python 3.8's config.
    This adjustment is needed because python3.8-config implements a new
    '--embed' option, which should be used by applications building an
    embedded Python interpreter.  For more info, see
    <https://bugs.python.org/issue36721>.
  * Enable libmpfr during build.

 -- Sergio Durigan Junior <sergiodj@debian.org>  Tue, 03 Mar 2020 23:49:25 -0500

gdb (9.1-1) unstable; urgency=medium

  [ Héctor Orón Martínez ]
  * New upstream version 9.1 (Closes: #906822)
  * debian/control{,.in}: python2 removal (Closes: #936591)
  * debian/patches: refresh
    + debian/patches/load-versioned-libcc1.patch: add SONAME to
      gcc-cp-interface.h (Closes: #950778)
    + debian/patches/gdb-PATH_MAX.patch: drop
  * debian/control{,.in}: build depend on pkg-config
  * debian/control{,.in}: add Sergio Durigan Junior as uploader
  * debian/README.source: point to xz upstream source instead bz2
  * debian/gcore.1: update (Closes: #904628)

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Use secure URI in debian/watch.
  * Make "Files: *" paragraph the first in the copyright file.
  * Rely on pre-initialized dpkg-architecture variables.

  [ Christian Biesinger ]
  * debian/control: update homepage to an https URL
  * debian/{control,rules}: Enable source highlighting (Closes: #942552)

  [ Vagrant Cascadian ]
  * debian/rules: Use tar arguments to ensure consistant tarballs, setting file
    mode, uid/gid, timestamps and sort order. (Closes: #950606)

 -- Héctor Orón Martínez <zumbi@debian.org>  Sun, 09 Feb 2020 14:15:45 +0100
