=== debian/control ===
Source: gdb
Maintainer: Héctor Orón Martínez <zumbi@debian.org>
Uploaders: Riku Voipio <riku.voipio@linaro.org>,
           Sergio Durigan Junior <sergiodj@debian.org>
Section: devel
Priority: optional
Standards-Version: 4.5.0
Rules-Requires-Root: binary-targets
Build-Depends:
# Packaging deps
               cdbs (>= 0.4.90),
               debhelper (>= 9),
               lsb-release,
               bzip2,
# Other tool deps
               autoconf,
               libtool,
               gettext,
               bison,
               dejagnu,
               flex,
               procps,
# Do we really care that much about running the Java tests?
#               gcj-jdk | gcj,
               gobjc,
               mig [hurd-any],
# GNU/kFreeBSD deps
               libutil-freebsd-dev [kfreebsd-any],
# TeX[info] deps
               texinfo (>= 4.7-2.2),
               texlive-base,
# Libdev deps
               libexpat1-dev,
               libncurses5-dev,
               libreadline-dev,
               zlib1g-dev,
               liblzma-dev,
               libbabeltrace-dev [amd64 armel armhf i386 kfreebsd-amd64 kfreebsd-i386 mips mipsel mips64el powerpc s390x],
               libbabeltrace-ctf-dev [amd64 armel armhf i386 kfreebsd-amd64 kfreebsd-i386 mips mipsel mips64el powerpc s390x],
               libipt-dev [amd64 i386 x32],
               libsource-highlight-dev,
	       libxxhash-dev,
	       libmpfr-dev,
               pkg-config,
# Python3 build
               python3-dev,
               libkvm-dev [kfreebsd-any],
               libunwind-dev [ia64],
Vcs-Git: https://salsa.debian.org/gdb-team/gdb.git
Vcs-Browser: https://salsa.debian.org/gdb-team/gdb
Homepage: https://www.gnu.org/s/gdb/

Package: gdb
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         ${python3:Depends}
Recommends: libc-dbg
Suggests: gdb-doc,
          gdbserver [amd64 armel armhf arm64 i386 ia64 m32r m68k mips mipsel mips64el powerpc powerpcspe ppc64 ppc64el s390 s390x x32]
Conflicts: gdb
Replaces: gdb
Description: GNU Debugger
 GDB is a source-level debugger, capable of breaking programs at
 any specific line, displaying variable values, and determining
 where errors occurred. Currently, gdb supports C, C++, D,
 Objective-C, Fortran, Java, OpenCL C, Pascal, assembly, Modula-2,
 Go, and Ada. A must-have for any serious programmer.

Package: gdb-minimal
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Provides: gdb
Conflicts: gdb
Replaces: gdb
Description: GNU Debugger (minimal version)
 GDB is a source-level debugger, capable of breaking programs at
 any specific line, displaying variable values, and determining
 where errors occurred. Currently, gdb supports C, C++, D,
 Objective-C, Fortran, Java, OpenCL C, Pascal, assembly, Modula-2,
 Go, and Ada. A must-have for any serious programmer.
 .
 This package contains a minimal version of GDB with optional features
 disabled.

Package: gdb-multiarch
Architecture: any
Depends: gdb (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Conflicts: gdb-arm-none-eabi
Breaks: gdb-arm-none-eabi
Provides: gdb-arm-none-eabi
Description: GNU Debugger (with support for multiple architectures)
 GDB is a source-level debugger, capable of breaking programs at
 any specific line, displaying variable values, and determining
 where errors occurred. Currently, gdb supports C, C++, D,
 Objective-C, Fortran, Java, OpenCL C, Pascal, assembly, Modula-2,
 Go, and Ada. A must-have for any serious programmer.
 .
 This package contains a version of GDB which supports multiple
 target architectures.

Package: gdbserver
Architecture: amd64 armel armhf arm64 i386 ia64 m32r m68k mips mipsel mips64el powerpc powerpcspe ppc64 ppc64el s390 s390x x32
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: gdb (<< 7.0.1-1)
Description: GNU Debugger (remote server)
 GDB is a source-level debugger, capable of breaking programs at
 any specific line, displaying variable values, and determining
 where errors occurred. Currently, gdb supports C, C++, D,
 Objective-C, Fortran, Java, OpenCL C, Pascal, assembly, Modula-2,
 Go, and Ada. A must-have for any serious programmer.
 .
 This package contains gdbserver.  Install this to debug remotely
 from another system where GDB is installed.

Package: gdb-source
Architecture: all
Depends: ${misc:Depends}
Description: GNU Debugger (source)
 GDB is a source-level debugger, capable of breaking programs at
 any specific line, displaying variable values, and determining
 where errors occurred. Currently, gdb supports C, C++, D,
 Objective-C, Fortran, Java, OpenCL C, Pascal, assembly, Modula-2,
 Go, and Ada. A must-have for any serious programmer.
 .
 This package contains the sources and patches which are needed
 to build GDB.
