=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 
 DEB_BUILDDIR := $(ALL_BUILDDIR)/objdir
 DEB_DH_INSTALL_SOURCEDIR := $(shell pwd)/debian/tmp
-DEB_DH_STRIP_ARGS_GDB := --dbg-package=gdb-dbg
+DEB_DH_STRIP_ARGS_gdb = --dbgsym-migration='gdb-dbg (<< 7.12-1~)'
 
 # Override CDBS's default CFLAGS, which also includes -Wall; gdb
 # does not handle -Wunused well with -Werror, but defaults to
@@ -20,6 +20,7 @@
 # The top-level configure script fails to pass these down properly ...
 export CPPFLAGS
 export LDFLAGS
+CPPFLAGS += -fPIC
 
 # Always install into debian/tmp, even if we are only building one package.
 DEB_DESTDIR := $(shell pwd)/debian/tmp
@@ -30,17 +31,7 @@
 # untested command fails.
 SHELL += -e
 
-DEB_BUILD_GNU_TYPE := $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
-DEB_HOST_GNU_SYSTEM := $(shell dpkg-architecture -qDEB_HOST_GNU_SYSTEM)
-DEB_HOST_GNU_CPU := $(shell dpkg-architecture -qDEB_HOST_GNU_CPU)
-DEB_HOST_GNU_TYPE := $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
-DEB_HOST_ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH)
-DEB_TARGET_ARCH := $(shell dpkg-architecture -qDEB_TARGET_ARCH)
-DEB_TARGET_GNU_TYPE := $(shell dpkg-architecture -qDEB_TARGET_GNU_TYPE)
-ifeq (,$(DEB_TARGET_ARCH))
-  DEB_TARGET_ARCH := $(DEB_HOST_ARCH)
-  DEB_TARGET_GNU_TYPE := $(DEB_HOST_GNU_TYPE)
-endif
+include /usr/share/dpkg/architecture.mk
 
 # Cross configuration support.  Check for an environment variable
 # $GDB_TARGET, or a file debian/target.
@@ -80,11 +71,6 @@
 
 run_tests := yes
 
-# timeouts on the buildd
-ifneq (,$(filter armhf, $(DEB_HOST_ARCH)))
-  run_tests := no
-endif
-
 ifneq (,$(filter nocheck, $(DEB_BUILD_OPTIONS)))
   run_tests := no
 endif
@@ -97,12 +83,14 @@
   arch_config_args := --with-libunwind-ia64
 endif
 
-arch_config_args += --with-babeltrace
+ifneq (,$(filter $(DEB_HOST_ARCH),amd64 armel armhf i386 kfreebsd-amd64 kfreebsd-i386 mips mipsel powerpc s390x))
+  arch_config_args += --with-babeltrace
+endif
 
 # Enable Intel Processor Trace (PT) on Linux x86 platform
-#ifneq (,$(filter $(DEB_HOST_ARCH),amd64 i386))
-#  arch_config_args += --with-intel-pt
-#endif
+ifneq (,$(filter $(DEB_HOST_ARCH),amd64 i386))
+  arch_config_args += --with-intel-pt
+endif
 
 ifdef GDB_TARGET
   run_tests := no
@@ -112,7 +100,7 @@
 else
   # To avoid file conflicts, only enable the global gdbinit file for native
   # debuggers.
-  arch_config_args += --with-system-gdbinit=/etc/gdb/gdbinit
+  arch_config_args += --with-system-gdbinit=/etc/gdb/gdbinit --with-system-gdbinit-dir=/etc/gdb/gdbinit.d
 endif
 
 INSTALL = $(install)
@@ -126,13 +114,13 @@
 	--disable-readline --with-system-readline --with-expat \
 	--with-system-zlib --without-lzma \
 	--without-guile --without-babeltrace \
-	--disable-werror \
 	$(arch_config_args) --build=$(DEB_BUILD_GNU_TYPE)
 
 # Debian does not include 64-bit Python packages, so --with-python
 # is here rather than in EXTRA_FLAGS.
 DEB_CONFIGURE_EXTRA_FLAGS := --host=$(DEB_HOST_GNU_TYPE) $(EXTRA_FLAGS) \
-	--enable-tui --with-lzma --with-python=python3
+	--enable-tui --with-lzma --with-python=python3 \
+	--with-xxhash --with-mpfr
 
 # multiarch targets; this is taken from the binutils-multiarch package but
 # doesn't seem like a terribly nice list; see
@@ -143,6 +131,7 @@
 	arm-linux-gnu \
 	arm-linux-gnueabi \
 	arm-linux-gnueabihf \
+	arm-none-eabi \
 	hppa-linux-gnu \
 	i686-linux-gnu \
 	ia64-linux-gnu \
@@ -156,6 +145,7 @@
 	powerpc-linux-gnuspe \
 	powerpc64le-linux-gnu \
 	powerpc64-linux-gnu \
+	ppc64-linux-gnu \
 	riscv32-linux-gnu \
 	riscv64-linux-gnu \
 	s390-linux-gnu \
@@ -177,7 +167,8 @@
 
 # Minimal flags
 DEB_CONFIGURE_FLAGS_MIN := --host=$(DEB_HOST_GNU_TYPE) $(EXTRA_FLAGS) \
-	--disable-tui --without-python --without-babeltrace
+	--disable-tui --without-python --without-babeltrace \
+	--disable-source-highlight --without-mpfr
 
 # Support parallel=<n> in DEB_BUILD_OPTIONS (see #209008)
 COMMA = ,
@@ -186,6 +177,7 @@
 endif
 
 DEB_MAKE_BUILD_TARGET = $(NJOBS) all
+DEB_MAKE_ENVVARS += V=1
 
 BUILDDIRSOURCE := $(ALL_BUILDDIR)/gdb
 BUILDDIRMIN := $(ALL_BUILDDIR)/gdb-minimal
@@ -195,9 +187,6 @@
 build/gdb$(TS):: check-stamp
 	$(MAKE) -C $(DEB_BUILDDIR) info
 	$(MAKE) -C $(DEB_BUILDDIR)/gdb/doc refcard.dvi refcard.ps
-
-build/gdb-doc:: check-stamp
-	$(MAKE) -C $(DEB_BUILDDIR)/gdb/doc pdf html
 
 build/gdb-multiarch:: build-multiarch-stamp
 build-multiarch-stamp:
@@ -219,15 +208,12 @@
 ifeq ($(run_tests),yes)
 	$(MAKE) $(NJOBS) -C $(DEB_BUILDDIR)/gdb check \
 	  || echo "**Tests failed, of course.**"
-	-ps ux
-	-kill $$(ps x|grep -v awk | awk '/interrupt-daemon/ {print $$1}')
-	sleep 5
-	-kill -9 $$(ps x|grep -v awk | awk '/interrupt-daemon/ {print $$1}')
 endif
 	touch $@
 
 clean::
 	rm -f check-stamp build-multiarch-stamp
+	rm -f debian/files
 	rm -rf $(ALL_BUILDDIR)
 
 	if test -f gdb/version.in.backup; then \
@@ -243,13 +229,30 @@
 	find bfd -name bfd.info\* | xargs --no-run-if-empty touch
 
 binary-post-install/gdb$(TS) ::
-	if [ -x debian/tmp/usr/bin/run ]; then				\
-		mv debian/tmp/usr/bin/run					\
-		  debian/gdb$(TS)/usr/bin/$(DEB_TARGET_ALIAS)-run;		\
+	if [ -x debian/tmp/usr/bin/run ]; then \
+		mv debian/tmp/usr/bin/run \
+		  debian/gdb$(TS)/usr/bin/$(DEB_TARGET_ALIAS)-run; \
 	fi
-	if [ -x debian/tmp/usr/share/man/man1/run.1 ]; then				\
-		mv debian/tmp/usr/share/man/man1/run.1			\
-		  debian/gdb$(TS)/usr/share/man/man1/$(DEB_TARGET_ALIAS)-run.1;	\
+	if [ -r debian/tmp/usr/share/man/man1/run.1 ]; then \
+		mv debian/tmp/usr/share/man/man1/run.1 \
+		  debian/gdb$(TS)/usr/share/man/man1/$(DEB_TARGET_ALIAS)-run.1; \
 	fi
 ifeq ($(run_tests),yes)
 	install -d debian/gdb$(TS)/usr/share/doc/gdb
+	install -m 644 $(DEB_BUILDDIR)/gdb/testsuite/gdb.sum \
+		debian/gdb$(TS)/usr/share/doc/gdb/check.log
+endif
+
+ifneq ($(DEB_CROSS),yes)
+	# Only ship a global gdbinit for the native GDB.
+	install -d debian/gdb$(TS)/etc/gdb
+	install -d debian/gdb$(TS)/etc/gdb/gdbinit.d
+	install -m 644 debian/gdbinit debian/gdb$(TS)/etc/gdb/
+	# Likewise gdb-add-index
+	install -m 755 gdb/contrib/gdb-add-index.sh debian/gdb$(TS)/usr/bin/gdb-add-index
+endif
+
+	rm -f debian/gdb$(TS)/usr/bin/$(TP)gdbtui
+	install -m 755 debian/gdbtui debian/gdb$(TS)/usr/bin/$(TP)gdbtui
+
+binary-post-install/gdb-multiarch ::
